> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all phone number configurations

> Returns a list of phone number configurations paginated.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-phone-numbers.yml get /porting_orders/phone_number_configurations
openapi: 3.1.0
info:
  title: Telnyx Porting Phone Numbers API
  version: 2.0.0
  description: API for porting phone numbers, blocks, extensions, and configurations.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/phone_number_configurations:
    get:
      tags:
        - Porting Orders
      summary: List all phone number configurations
      description: Returns a list of phone number configurations paginated.
      operationId: ListPhoneNumberConfigurations
      parameters:
        - $ref: '#/components/parameters/porting-order_PageConsolidated'
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[porting_order.status][in][],
            filter[porting_phone_number][in][], filter[user_bundle_id][in][]
          schema:
            type: object
            properties:
              porting_order:
                type: object
                properties:
                  status:
                    type: array
                    items:
                      type: string
                      example: in-process
                      enum:
                        - activation-in-progress
                        - cancel-pending
                        - cancelled
                        - draft
                        - exception
                        - foc-date-confirmed
                        - in-process
                        - ported
                        - submitted
                    description: Filter results by specific porting order statuses
              porting_phone_number:
                type: array
                items:
                  type: string
                  format: uuid
                  example: 5d6f7ede-1961-4717-bfb5-db392c5efc2d
                description: Filter results by a list of porting phone number IDs
              user_bundle_id:
                type: array
                items:
                  type: string
                  format: uuid
                  example: 5d6f7ede-1961-4717-bfb5-db392c5efc2d
                description: Filter results by a list of user bundle IDs
        - name: sort
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated sort parameter (deepObject style). Originally:
            sort[value]
          schema:
            type: object
            properties:
              value:
                type: string
                enum:
                  - created_at
                  - '-created_at'
                example: created_at
                description: >-
                  Specifies the sort order for results. If not given, results
                  are sorted by created_at in descending order.
      responses:
        '200':
          $ref: '#/components/responses/ListPortingPhoneNumberConfigurations'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const phoneNumberConfigurationListResponse of
            client.portingOrders.phoneNumberConfigurations.list()) {
              console.log(phoneNumberConfigurationListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.porting_orders.phone_number_configurations.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.PortingOrders.PhoneNumberConfigurations.List(context.TODO(), telnyx.PortingOrderPhoneNumberConfigurationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListPage;

            import
            com.telnyx.sdk.models.portingorders.phonenumberconfigurations.PhoneNumberConfigurationListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PhoneNumberConfigurationListPage page = client.portingOrders().phoneNumberConfigurations().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.porting_orders.phone_number_configurations.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->portingOrders->phoneNumberConfigurations->list(
                filter: [
                  'portingOrder' => ['status' => ['in-process']],
                  'portingPhoneNumber' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
                  'userBundleID' => ['5d6f7ede-1961-4717-bfb5-db392c5efc2d'],
                ],
                pageNumber: 0,
                pageSize: 0,
                sort: ['value' => 'created_at'],
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting-orders:phone-number-configurations list \
              --api-key 'My API Key'
components:
  parameters:
    porting-order_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListPortingPhoneNumberConfigurations:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingPhoneNumberConfiguration'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PortingPhoneNumberConfiguration:
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies this phone number configuration
          format: uuid
          example: eef3340b-8903-4466-b445-89b697315a3a
        user_bundle_id:
          type: string
          format: uuid
          description: Identifies the associated user bundle
          example: daa4308e-742f-4867-97f2-3073db13319a
        porting_phone_number_id:
          type: string
          format: uuid
          description: Identifies the associated porting phone number
          example: f1486bae-f067-460c-ad43-73a92848f902
        record_type:
          type: string
          example: porting_phone_number_configuration
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527000Z'
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2021-03-19T10:07:15.527000Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````